﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;

namespace StimulsoftWpfApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private List<User> Users = new List<User>();

        private void FillData()
        {
            City c1 = new City("London", "England");
            City c2 = new City("Paris", "France");
            City c3 = new City("New York", "USA");

            Address a1 = new Address(3, "St. Claus street", c1);
            Address a2 = new Address(1, "Paris avenue", c2);
            Address a3 = new Address(7, "Wall street", c3);
            Address a4 = new Address(2, "St. Claus street", c1);
            Address a5 = new Address(4, "Paris avenue", c2);
            Address a6 = new Address(6, "Wall street", c3);

            Users.Add(new User(0, "Jessica", "Alba", a1));
            Users.Add(new User(1, "Rachel", "McAdams", a1));
            Users.Add(new User(2, "Angelina", "Jolie", a2));
            Users.Add(new User(0, "Charlize", "Theron", a2));
            Users.Add(new User(1, "Camilla", "Belle", a3));
            Users.Add(new User(2, "Jessica", "Biel", a3));
            Users.Add(new User(0, "Natalie", "Portman", a4));
            Users.Add(new User(1, "Kate", "Backinsale", a4));
            Users.Add(new User(2, "Scarlett", "Johansson", a5));
            Users.Add(new User(0, "Jennifer", "Aniston", a5));
            Users.Add(new User(1, "Mila", "Kunis", a6));
            Users.Add(new User(2, "Anna", "Hathaway", a6));
        }

        private void butDesign_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Users", Users);

            r.DesignWithWpf();
        }

        private void butShow_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Users", Users);
                        
            r.ShowWithWpf();
        }
    }
}
