﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StimulsoftWpfApplication
{
    public class User
    {
        public int Type { get; set; }
        public string Name { get; set; }
        public string SurName { get; set; }
        public Address Address { get; set; }

        public User(int type, string name, string surName)
        {
            this.Type = type;
            this.Name = name;
            this.SurName = surName;
        }

        public User(int type, string name, string surName, Address address)
        {
            this.Type = type;
            this.Name = name;
            this.SurName = surName;
            this.Address = address;
        }
    }

    public class Address
    {
        public int Number { get; set; }
        public string Street { get; set; }
        public City City { get; set; }

        public Address(int number, string street)
        {
            this.Number = number;
            this.Street = street;
        }

        public Address(int number, string street, City city)
        {
            this.Number = number;
            this.Street = street;
            this.City = city;
        }
    }

    public class City
    {
        public string Name { get; set; }
        public string Country { get; set; }

        public City(string name, string country)
        {
            this.Name = name;
            this.Country = country;
        }
    }
}
